## FmDummyMonitor FmDummyMonitor — Replacement of GFileMonitor for virtual filesystems. |

## Synopsis

    struct              FmDummyMonitor;
    struct              FmDummyMonitorClass;
    GFileMonitor *      fm_dummy_monitor_new                (void);

## Object Hierarchy

      GObject
       +----GFileMonitor
             +----FmDummyMonitor

## Description

`include`: libfm/fm.h

The FmDummyMonitor represents dummy GFileMonitor variant which does not monitor any files but can be used as monitor object.

## Details

### struct FmDummyMonitor

    struct FmDummyMonitor;

### struct FmDummyMonitorClass

    struct FmDummyMonitorClass {
    };

### fm_dummy_monitor_new ()

    GFileMonitor *      fm_dummy_monitor_new                (void);

Creates a new dummy GFileMonitor.

Returns : | a new dummy GFileMonitor object.